> ## Documentation Index
> Fetch the complete documentation index at: https://agent-docs.nineteen58.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Contact

> Updates specific fields of an existing contact



## OpenAPI

````yaml PATCH /public-api/contacts/{id}
openapi: 3.0.0
info:
  title: Agents Public API
  version: '1.0'
  description: REST API for managing contacts, campaigns, and conversations
  termsOfService: https://agents.nineteen58.co.za/terms
  contact:
    name: API Support
    url: https://agents.nineteen58.co.za/support
    email: support@nineteen58.co.za
servers:
  - url: https://agents.nineteen58.co.za
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /public-api/contacts/{id}:
    patch:
      tags:
        - Contacts
      summary: Partially update a contact
      description: Updates specific fields of an existing contact
      operationId: patchpublicapicontactsid
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          required: true
          description: API key for authentication
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The contact ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                identifier:
                  type: string
                name:
                  type: string
                channel:
                  type: string
                email:
                  type: string
                  nullable: true
                personal_context:
                  type: string
                  nullable: true
                notes:
                  type: string
                  nullable: true
                relevant_information:
                  type: string
                  nullable: true
                currentChannel:
                  type: string
                  description: Current channel type (needed for WhatsApp validation)
      responses:
        '200':
          description: Contact updated successfully
          content:
            application/json:
              schema:
                $ref: 6e739831-b29f-4b6c-9b04-58213124ff3e
        '400':
          description: Invalid request body or no fields to update
        '401':
          description: Unauthorized - Invalid or missing API key
        '404':
          description: Contact not found
        '500':
          description: Server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````